Bug 26129 - kisdndock works only for root
kisdndock works only for root
Product: Red Hat Powertools
Classification: Retired
Component: kisdndock (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2001-02-05 13:16 EST by Markku Kolkka
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-05 13:16:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Markku Kolkka 2001-02-05 13:16:13 EST
Trying to start kisdndock as a non-root user gives the following message:

$ kisdndock
The KDE libraries are not designed to run with suid privileges.
ERROR: KUniqueApplication: DCOP communication error!

As the main purpose of kisdndock is to allow regular users to connect/disconnect ISDN, 
this bug makes it useless.
Comment 1 Ngo Than 2001-02-06 14:25:59 EST
It's fixed in kisdndock-0.9.0-3. It will go into next rawhide release.

Note You need to log in before you can comment on or make changes to this bug.